## ros-melodic-ur-gazebo 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(ur_gazebo)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_ur3.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur3e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur5.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur5e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur10.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur10e.xml)
  roslaunch_add_file_check(tests/roslaunch_test_ur16e.xml)
endif()

install(DIRECTORY config launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-ur-gazebo (1.3.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-melodic-ur-gazebo (1.3.0-1bionic) bionic; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Merge pull request #619 <https://github.com/ros-industrial/universal_robot/issues/619> from fmauch/gazebo_effort_controllers
    Gazebo effort controllers
  * [ur_gazebo] update effort_controllers' pid parameters
  * [ur_gazebo] Switch to effort controllers
  * [ur_gazebo] Switch common files to effort controllers
  * Add tool0_controller frame for gazebo simulation (#611 <https://github.com/ros-industrial/universal_robot/issues/611>)
    In order to make the simulation more consistent to the ur_robot_driver
    (and ur_modern_driver) this adds a tool0_controller frame.
    For the driver this corresponds to the tool transformation published by
    the robot controller directly. As this doesn't exist for the simulated
    robot, this adds the frame using an identity transform from tool0.
  * Make ur_gazebo robot name consistent with ur_description (#615 <https://github.com/ros-industrial/universal_robot/issues/615>)
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Merge pull request #562 <https://github.com/ros-industrial/universal_robot/issues/562> from fmauch/convenience_macros
    Add convenience macros for description files
  * ur_gazebo: Update path ur ur_macro.xacro
    This was changed in e4eb54718edc6ff414d3c046f2589b798b15f9b2
  * Merge pull request #518 <https://github.com/ros-industrial/universal_robot/issues/518> from gavanderhoorn/gazebo_updates
    Main improvements:
    - follow ROS-I naming and package layout conventions
    - clean up xacros (naming, whitespace, etc)
    - treat (the virtual robot in) Gazebo as much as possible as just another UR variant (so we get to reuse workflow, settings and .launch files as much as possible)
    - improve comments in .xacro files
    - clean up "public API" of ur_gazebo (ie: .launch and _macro.xacro files )
  * gazebo: values less than 0.1 for spawn_z will be problematic.
    So explain this in the arg's documentation.
  * gazebo: in-order is the default on Melodic.
    And we've broken Kinetic-compatibility quite a few commits ago.
  * gazebo: list valid values for 'transmission_hw_interface'.
    For some reason this was not yet documented.
  * gazebo: clarify we load a position joint trajectory controller.
    So include that in the name.
  * gazebo: move include to scope of ur_robot_gazebo macro.
    Prevent potential clashes with symbols outside of that scope.
  * gazebo: update comments in xacros.
  * gazebo: run e-Series controllers at 500 Hz.
    Same rate as the real controller.
  * gazebo: give e-Series variants their own controller configs.
  * gazebo: restructure bringup entry points.
    By lifting some of the nodes and parameters to the bringup files (from ur_common.launch.xml), they should be easier to use (and maintain).
    Anything specific to the use of a robot in a particular configuration (ie: a workcell or simulation) should exist at the bringup level, not in a common (ie: shared) file, as that will make it harder to change (as changes will be shared by many other setups).
    This restructuring makes ur_common.launch.xml redundant, so we also remove it.
  * gazebo: ur_control: allow more control over launch args.
    Over:
    - which world to load
    - whether to start Gazebo or not
    - from which parameter to (attempt to) load the urdf
    - what name to give to the spawned robot model (inside the simulation)
  * gazebo: rostopic is no longer used.
  * gazebo: update tests to load non-entry-point loaders.
  * gazebo: include load launch file with relative include.
  * gazebo: hide loaders as well.
  * gazebo: update paths to included launch files.
    Use 'dirname' substitution arg to express relative include.
  * gazebo: hide non-entry-point launch files.
    These launch files are not meant to be started directly, so 'hide' them roslaunch's auto-complete.
  * gazebo: there is no 'vel_based_pos_traj_controller', so remove.
  * gazebo: fix comments in bringup launch files.
  * gazebo: load URDF in bringup launch files.
    The main 'driver' launch file should not load the URDF, as it's not the task of the driver.
    This also removes one level of argument-forwarding (namely: the arguments for the xacro macro).
    Finally, it provides a nicer template for users to base their own launch files on, as they 'only' have to deal with these top-level bringup launch files.
  * gazebo: test variants separately and also test bringup.
  * gazebo: fix install rule.
  * gazebo: set controller pub rates to be like real hw.
    As we don't have separate controller config files for e-Series robots, they will still 'only' publish at 125 Hz.
    We might change this in the future.
  * gazebo: use new controller config files.
  * gazebo: rename controller config files.
    Align with names in ur_robot_driver.
  * gazebo: clarify 'world' frame utility in top-level xacro.
  * gazebo: refactor gazebo and gazebo_ros_control integration.
    This changes all bringup launch files in this package to be like those of a regular driver. In essence, Gazebo (and the UR(s) simulated by it) are treated as just-another-robot, with the associated launch file infrastructure.


=== debian/control ===
Source: ros-melodic-ur-gazebo
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch <!nocheck>
Homepage: http://ros.org/wiki/ur_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-ur-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-effort-controllers, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-joint-state-controller, ros-melodic-joint-trajectory-controller, ros-melodic-position-controllers, ros-melodic-robot-state-publisher, ros-melodic-ur-description
Description: Gazebo wrapper for the Universal UR5/10 robot arms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ur-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
